<script>

  function chkBefore() { {*PDF、Excel出力前チェック*}
    var errflg = false;
    var frmh = $("#headerTop");
    var frm = $(this).closest(".contents").find(".header");
    common.clearFormError(frm);
    var  wprompt;

    {*入力チェック*}

    return errflg;

  }

  function make_af298x(p_mode) {
    var frmh = $("#headerTop");

    var name = "";
    if (p_mode == 'CSV') {
      name = "【現物在庫】CSV出力";
    } else {
      return false;
    }

    let errflg = false;
    errflg = chkBefore();
    if (errflg) {
      alert('エラーがあります');
    } else {
      if(window.confirm(name+"を行います。\nよろしいですか？")) {

        {* 以下発行処理 *}
        let headerData = [];
        let f = common.getInputData(frmh);
        headerData.push(encodeJson(f));

        var sendData = {};
        sendData["header"] = headerData;

        {*Fm_AF298X_Get呼び出し*}
        common.postData(
          "./callFm_AF298X_Get.php"
          , sendData
          , function (data) {
            // 特殊処理があれば
            var obj = JSON.parse(data);
            if(obj.ret == '0') {
              common.setValue(frmh.find(".wseq"),obj.wseq);
              svf_printout(p_mode);
            } else if(obj.ret == '-1'){
              alert("該当データがありません。");
            } else{
              alert("データ抽出に失敗しました。");
            }
          }
          , function (error) {
            alert(error.msg);
          }
        );
      }
    }
  }

  function svf_printout(pmode) {

    var frmh = $("#headerTop");
    var wseq = common.getValue(frmh.find(".wseq"));
console.log(wseq);
    if(pmode == 'PDF') {

    } else if(pmode == 'CSV') {
      let param2 = { "method": "GetWseqMjan" };
      let csvid = "AF298C";

      $.ajax({
        type: "GET",
        url: "../../api/getWseq.php",
        data: param2,
        dataType: "json",
        scriptCharset: 'utf-8',
        success: function(data, status, xhr) {
          var wurl = "{$_REPORT_URL}" + "AF298C?WSEQ=" + JSON.parse(data.data)
                  + "&CSVID=" + csvid
                  + "&CHGCD=" + "{$_SYSTEM_NAME_EN_CHGCD}"
                  + "&KTKTCD=" + "{$_SYSTEM_NAME_EN_LGKTKTCD}"
                  + "&VEND=" + "{$_SYSTEM_NAME_EN_VEND}"
                  + "&ACCD=" + "{$_SYSTEM_NAME_EN_ACCD}"
                  + "&DBNO=" + "{$_SYSTEM_NO}"
                  + "&JOKEN1=" + wseq;
          window.open(wurl, csvid+JSON.parse(data.data));
        }
      });
    }
  }

  $(document).ready(function(){
    /* 明細 高さ 自動設定
    //===================================================================*/

    /* イベント
    //===================================================================*/
    //　F1
    $(document).on("click", ".Func1:not('.noevent')", function(e) {
    });
    //　F2
    $(document).on("click", ".Func2:not('.noevent')", function(e) {
    });
    //　F3
    $(document).on("click", ".Func3:not('.noevent')", function(e) {
    });
    //　F4
    $(document).on("click", ".Func4:not('.noevent')", function(e) {
    });
    //　F5 CSV
    $(document).on("click", ".Func5:not('.noevent')", function(e) {
      make_af298x('CSV');
    });
    //　F6
    $(document).on("click", ".Func6:not('.noevent')", function(e) {
    });
    //　F7
    $(document).on("click", ".Func7:not('.noevent')", function(e) {
    });
    //　F8
    $(document).on("click", ".Func8:not('.noevent')", function(e) {
    });
    //　F9
    $(document).on("click", ".Func9:not('.noevent')", function(e) {
    });
    //　F10
    $(document).on("click", ".Func10:not('.noevent')", function(e) {
    });
    //　F11
    $(document).on("click", ".Func11:not('.noevent')", function(e) {
    });
    //　F12 メニュー/戻る
    $(document).on("click", ".Func12:not('.noevent')", function(e) {
      $('.btn-close').trigger('click');
    });

    //画面初期表示時動作

    //MENUボタン===============================
    $(document).on("focus", ".header .dummy", function(e) {
      $("#topmenu").find(".Func10").focus();
    });

    $("#headerTop").find(".keycd").focus();

    //====明細行動作======

  });

</script>
